const tabQuery = browser.tabs.query({currentWindow: true});


document.addEventListener("click", (e) => {
    if (e.target.id == "search") {
        searchTabs();
    } else if (e.target.id != "toFind" && e.target.id != "listZone" ) {
        if (e.target.tagName == "IMG") {
            var parent = e.target.parentNode;
            loadpSelTab(parseInt(parent.id));
        } else {
            loadpSelTab(parseInt(e.target.id));
        }
    }
});

function searchTabs() { tabQuery.then(logTabs, onError); }

function logTabs(tabs) {
    var toFind = document.getElementById("toFind");
    var listZone = document.getElementById("listZone");
    var selection = [];

    for (let tab of tabs) {
        var title = tab.title;
        if (title.toLowerCase().includes(toFind.value.toLowerCase())) {
            selection.push(tab);
        }
    }
    if (selection.length > 1) {
        listZone.innerHTML = "";
        for (let sel of selection) {
            listZone.innerHTML +=
                '<div id="' + sel.id + '" class="box">' +
                '<img class="thumbImg" src="' + sel.favIconUrl +
                '" /><p class="title">' + sel.title +'</p></div><br/>';
        }
    } else { loadpSelTab(selection[0].id); }
}

function loadpSelTab(id) {
    browser.tabs.update(id, {
        active: true
    });
}

function onError(error) { console.log(`Error: ${error}`); }
